org.apache.olingo.odata2.api.edm.provider

## Class Using

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.Using

-     public class Using
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Using()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `Collection<AnnotationAttribute>` | `getAnnotationAttributes()`
    `Collection<AnnotationElement>` | `getAnnotationElements()`
    `Documentation` | `getDocumentation()`
    `String` | `getNamespace()`
    `Using` | `setAlias(String alias)` Sets the alias for this `Using`
    `Using` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `Using`
    `Using` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `Using`
    `Using` | `setDocumentation(Documentation documentation)` Sets the `Documentation` for this `Using`
    `Using` | `setNamespace(String namespace)` Sets the namespace for this `Using`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Using

          public Using()

  - ### Method Detail

    - #### setNamespace

          public Using setNamespace(String namespace)

      Sets the namespace for this `Using`
      Parameters:
        `namespace` -
      Returns:
        `Using` for method chaining

    - #### setAlias

          public Using setAlias(String alias)

      Sets the alias for this `Using`
      Parameters:
        `alias` -
      Returns:
        `Using` for method chaining

    - #### setDocumentation

          public Using setDocumentation(Documentation documentation)

      Sets the `Documentation` for this `Using`
      Parameters:
        `documentation` -
      Returns:
        `Using` for method chaining

    - #### setAnnotationAttributes

          public Using setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `Using`
      Parameters:
        `annotationAttributes` -
      Returns:
        `Using` for method chaining

    - #### setAnnotationElements

          public Using setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `Using`
      Parameters:
        `annotationElements` -
      Returns:
        `Using` for method chaining

    - #### getNamespace

          public String getNamespace()

      Returns:
        String namespace

    - #### getAlias

          public String getAlias()

      Returns:
        String alias

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public Collection<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public Collection<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.